Represents a business user request. See the requests from an admin of the Business for people to join as member of this business.
GET /v25.0/{business-role-request-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{business-role-request-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{business-role-request-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{business-role-request-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{business-role-request-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Field | Description |
|---|---|
idnumeric string | Business role invitation request ID. |
created_byBusinessUser|SystemUser | User who sent the invitation to join this business. |
created_timedatetime | Admin sent this request to someone to join a business at this time. |
emailstring | Email of user invited to join the business. |
expiration_timedatetime | Invitation to join business expires at this time. |
finance_roleenum | When you invite someone to join business, pre-assign the Finance role. |
invited_user_typelist<enum> | Invited user type of this role request |
owner | Invite someone to join this business. |
roleenum | Business role for user invited to the business. |
statusenum | Status of the invitation, such as accepted, declined, expired and so on. |
updated_byBusinessUser|SystemUser | User who updated the invitation. |
updated_timedatetime | Time invitation updated. |
| Error | Description |
|---|---|
| 100 | Invalid parameter |
/{business_role_request_id}.| Parameter | Description |
|---|---|
roleenum {FINANCE_EDITOR, FINANCE_ANALYST, ADS_RIGHTS_REVIEWER, ADMIN, EMPLOYEE, DEVELOPER, PARTNER_CENTER_ADMIN, PARTNER_CENTER_ANALYST, PARTNER_CENTER_OPERATIONS, PARTNER_CENTER_MARKETING, PARTNER_CENTER_EDUCATION, MANAGE, DEFAULT, FINANCE_EDIT, FINANCE_VIEW} | Update invitation to include this role, such as |
id: numeric string, | Error | Description |
|---|---|
| 100 | Invalid parameter |
/{business_role_request_id}.success: bool, | Error | Description |
|---|---|
| 368 | The action attempted has been deemed abusive or is otherwise disallowed |
| 190 | Invalid OAuth 2.0 Access Token |
| 200 | Permissions error |